#include "StoreSpecialPackRuntimeData.h"


FStoreSpecialPackRuntimeData::FStoreSpecialPackRuntimeData()
{
	this->IsValid = false;
	this->Id = TEXT("");
	this->TitleByCulture = TMap<FString, FString>();
	this->FullDescriptionByCulture = TMap<FString, FString>();
	this->Content = TArray<FStoreSpecialPackRuntimeItem>();
	this->OriginalCost = TMap<ECurrencyType, uint32>();
	this->DiscountedCost = TMap<ECurrencyType, uint32>();
	this->Discount = 0.0;
	this->HiddenIfOwned = false;
	this->MinNumberOfUnownedForPurchase = 0;
	this->StartDate = FDateTime{};
	this->EndDate = FDateTime{};
	this->IsOwned = false;
	this->IsNew = false;
	this->Image = TEXT("");
	this->DLCId = TEXT("");
	this->SortOrder = 0;
	this->ComposePackImage = false;
	this->PackImageCompositionNumberOfItems = 0;
}
